> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Get Sales Order

GET https://connect.plex.com/sales/v1/orders/{id}

Retrieve a sales order by ID.

Reference: https://rockwell.ferndocs.com/api-reference/sales-orders-api/get-sales-order

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Success

- `id` (string, optional)
- `customerNo` (string, optional)
- `customerId` (string, optional)
- `customerName` (string, optional)
- `customerPoNumber` (string, optional)
- `orderDate` (datetime, optional)
- `requestedShipDate` (datetime, optional)
- `paymentTerms` (string, optional)
- `currency` (string, optional)
- `status` (string, optional)
- `totalAmount` (double, optional)
- `lineItems` (list of SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaLineItemsItems, optional)
- `shipToAddress` (SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaShipToAddress, optional)
- `createdDate` (datetime, optional)
- `modifiedDate` (datetime, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `error` (SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaError, optional)

### 404 Not Found Error

Not Found

- `error` (SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaError, optional)

## Types

### SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaLineItemsItems

- `lineNumber` (integer, optional)
- `partNo` (string, optional)
- `description` (string, optional)
- `quantity` (integer, optional)
- `unitPrice` (double, optional)
- `lineTotal` (double, optional)

### SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaShipToAddress

- `street` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postalCode` (string, optional)
- `country` (string, optional)

### SalesV1OrdersIdGetResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `details` (string, optional)
- `timestamp` (datetime, optional)
- `requestId` (string, optional)

## Examples

**Response**

```json
{
  "id": "so-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "customerNo": "00000000-0000-0000-0000-000000000000",
  "customerId": "CUST-001",
  "customerName": "Ford Authorized Distributor",
  "customerPoNumber": "CUST-PO-2026-12345",
  "orderDate": "2026-02-18T00:00:00Z",
  "requestedShipDate": "2026-02-20T00:00:00Z",
  "paymentTerms": "Net 30",
  "currency": "USD",
  "status": "Open",
  "totalAmount": 15250,
  "lineItems": [
    {
      "lineNumber": 1,
      "partNo": "PLX-BRK-4421",
      "description": "Brake Rotor Assembly - Front",
      "quantity": 500,
      "unitPrice": 18.5,
      "lineTotal": 9250
    },
    {
      "lineNumber": 2,
      "partNo": "PLX-BRK-4422",
      "description": "Brake Pad Set - Front",
      "quantity": 500,
      "unitPrice": 12,
      "lineTotal": 6000
    }
  ],
  "shipToAddress": {
    "street": "1 American Road",
    "city": "Dearborn",
    "state": "MI",
    "postalCode": "48126",
    "country": "US"
  },
  "createdDate": "2026-02-18T10:30:00Z",
  "modifiedDate": "2026-02-18T10:30:00Z"
}
```

**SDK Code**

```python getSalesOrder_example
import requests

url = "https://connect.plex.com/sales/v1/orders/id"

response = requests.get(url)

print(response.json())
```

```javascript getSalesOrder_example
const url = 'https://connect.plex.com/sales/v1/orders/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getSalesOrder_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/sales/v1/orders/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getSalesOrder_example
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/sales/v1/orders/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getSalesOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://connect.plex.com/sales/v1/orders/id")
  .asString();
```

```php getSalesOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://connect.plex.com/sales/v1/orders/id');

echo $response->getBody();
```

```csharp getSalesOrder_example
using RestSharp;

var client = new RestClient("https://connect.plex.com/sales/v1/orders/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getSalesOrder_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/sales/v1/orders/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```